
#ifndef _C_HH_
#define _C_HH_

/**
 * This is a work around to be able to include c.h (Node, Symbol,
 * etc.) avoiding confilicts between C and C++
 */

namespace lcc {
#ifdef __cplusplus
extern "C" {
#endif

#ifdef __GNUG__
#undef export
#define export _export
#define swap _swap
#endif //__GNUG__


#define typename _typename

#include "c.h"

#ifdef __GNUG__
#undef export
#undef swap
#endif //__GNUG__

#undef typename

#ifdef __cplusplus
}
#endif

}; // namespace lcc


//Common
#include <vector>
//#include <set>
//#include <map>
//#include "pudag.hh"

typedef std::vector< bool > bit_vector_t;
typedef std::vector< bit_vector_t > reserv_tab_t;

/*
// #include <list>

// typedef std::list < lcc::Node > NODES;
// struct pred_succ_t {
//   NODES pred;
//   NODES succ;
//   int id;
// };
// typedef std::set <lcc::Node> Z;
// typedef std::map < lcc::Node, short > INDEG;

// typedef std::map < lcc::Node, short > MARK;
// typedef std::map < lcc::Node, pred_succ_t > GRAPH;

// struct coord_t {
//   int l, t, e;
// };

// static bool operator==(const coord_t p1, const coord_t p2) {
//   return p1.l == p2.l && p1.t == p2.t && p1.e == p2.e;
// }
*/

#endif //_C_HH_
