#include "pp.hh"

PowerProfile::PowerProfile(int _omega, int _funits)
  : instructions(_omega, (TargetInstruction *)NULL), activation_status(_funits, false)
{
}

PowerProfile::~PowerProfile()
{
}

bool PowerProfile::operator==(const PowerProfile & _power_profile)
{
  bool b_instructions = instructions == _power_profile.instructions;
  bool b_activation_status = activation_status == _power_profile.activation_status;
  return b_instructions && b_activation_status;
}
