
#ifndef _VCG_HH_
#define _VCG_HH_

#include <fstream>
#include <assert.h>
#include "c.hh"
#include "pudag.hh"

class VCG {

public:

  //  VCG(GRAPH, ofstream &);
  VCG(DAG, std::ofstream &);
  VCG(lcc::Node, std::ofstream &);
  ~VCG() {}

private:

  void header(std::ofstream &);
  void footer(std::ofstream &);
  void mark_node(lcc::Node);
  int add_node(lcc::Node, int, std::ofstream &);
  void add_edge(lcc::Node, lcc::Node, std::ofstream &);
  struct lcc::node nodes;

};

#endif //_VCG_HH_

